> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Lists DNS zones in the specified parent IAM container



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /dns/v1/zones
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /dns/v1/zones:
    get:
      tags:
        - nebius.dns.v1.ZoneService
      summary: List
      description: Lists DNS zones in the specified parent IAM container
      operationId: ZoneService_List
      parameters:
        - description: Parent IAM container ID
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: >-
            Page size

            If not specified or set to `0`, a default page size of `100` will be
            used
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            An opaque listing continuation token

            - If not specified or empty, the first page of results will be
            returned

            - If specified, the next page of results (as identified by the
            token) will be returned
          in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListZonesResponse'
          description: A successful response.
components:
  schemas:
    v1ListZonesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/v1Zone'
          title: This page's items
          type: array
        nextPageToken:
          title: >-
            An opaque listing continuation token that can be used to return the
            next page of listing results

            If `next_page_token` is empty, this is the last result page
          type: string
      title: Response with a single page of DNS zone listing results
      type: object
    v1Zone:
      description: >-
        Each DNS zone starts at a particular domain within the hierarchical DNS
        namespace tree,

        e.g., `example.com.`, and is also responsible for its subdomains (e.g.,
        `sales.example.com.`)

        unless there are explicit DNS zones defined for them.


        DNS zones contain *Resource Records* (RRs), which are individual
        information entries about the domain(s),

        e.g., a domain's IP address.

        Each Resource Record is represented in this API by the `Record` API
        Resource which is managed by the `RecordService`.


        See the [graphical explanation of DNS zones and Resource Records on

        Wikipedia](https://en.wikipedia.org/wiki/Domain_Name_System#/media/File:Domain_name_space.svg)
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1ZoneSpec'
        status:
          $ref: '#/components/schemas/v1ZoneStatus'
      title: 'API Resource: *DNS zone*, a container for DNS data'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1ZoneSpec:
      properties:
        domainName:
          title: |-
            Fully qualified domain name of this zone, including `.` at the end
            Cannot be changed after creating the zone
          type: string
        soaSpec:
          $ref: '#/components/schemas/v1SoaSpec'
        vpc:
          $ref: '#/components/schemas/v1VpcZoneScope'
      required:
        - domainName
      title: DNS Zone specification
      type: object
    v1ZoneStatus:
      properties:
        reconciling:
          title: Indicates whether there is a running Operation for this Zone
          type: boolean
        recordCount:
          format: int64
          title: >-
            Number of records in this zone. May be 0 if not calculated (e.g., in
            listings)
          type: string
      title: DNS zone status
      type: object
    v1SoaSpec:
      properties:
        negativeTtl:
          format: int64
          title: >-
            Specifies TTL, in seconds, for caching `NXDOMAIN` ("record not
            found") DNS responses from this zone (*negative caching*)

            Set this TTL to a low value if you frequently delete and recreate
            records instead of updating them

            *Note:* Values of less than `5` will be ignored, and a default
            negative caching TTL will be used instead
          type: string
      title: Custom SOA (Start of Authority) record specification for the zone
      type: object
    v1VpcZoneScope:
      properties:
        primaryNetworkId:
          title: >-
            ID of the virtual network that this zone's records will be visible
            from

            This value cannot be changed after creating the zone
          type: string
      required:
        - primaryNetworkId
      title: VPC zone scope specification
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````